Package org.opencv.tracking

## Class legacy_TrackerKCF

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.tracking.legacy_Tracker
    - - org.opencv.tracking.legacy_TrackerKCF

-     public class legacy_TrackerKCF
      extends legacy_Tracker

  the KCF (Kernelized Correlation Filter) tracker KCF is a novel tracking framework that utilizes properties of circulant matrix to enhance the processing speed. This tracking method is an implementation of CITE: KCF_ECCV which is extended to KCF with color-names features (CITE: KCF_CN). The original paper of KCF is available at <http://www.robots.ox.ac.uk/~joao/publications/henriques_tpami2015.pdf> as well as the matlab implementation. For more information about KCF with color-names features, please refer to <http://www.cvl.isy.liu.se/research/objrec/visualtracking/colvistrack/index.html>.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `legacy_TrackerKCF​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static legacy_TrackerKCF` | `__fromPtr__​(long addr)` |
    `static legacy_TrackerKCF` | `create()` | Constructor
    `protected void` | `finalize()` |

    - ### Methods inherited from class org.opencv.tracking.legacy_Tracker

      `init, update`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### legacy_TrackerKCF

          protected legacy_TrackerKCF​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static legacy_TrackerKCF __fromPtr__​(long addr)

    - #### create

          public static legacy_TrackerKCF create()

      Constructor
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `legacy_Tracker`
      Throws:
        `java.lang.Throwable`